Skip to main content
DELETE
/
1
/
indexes
/
{indexName}
curl
curl --request DELETE \
  --url https://algolia_application_id.algolia.net/1/indexes/ALGOLIA_INDEX_NAME \
  --header 'accept: application/json' \
  --header 'x-algolia-api-key: ALGOLIA_API_KEY' \
  --header 'x-algolia-application-id: ALGOLIA_APPLICATION_ID'
{
  "taskID": 1514562690001,
  "deletedAt": "2023-06-27T14:42:38.831Z"
}
  • Deleting an index doesn’t delete its analytics data.
  • If you try to delete a non-existing index, the operation is ignored without warning.
  • If the index you want to delete has replica indices, the replicas become independent indices.
  • If the index you want to delete is a replica index, you must first unlink it from its primary index before you can delete it. For more information, see Delete replica indices.
Required ACL: deleteIndex See also: Delete indices

Authorizations

x-algolia-application-id
string
header
required

Your Algolia application ID.

x-algolia-api-key
string
header
required

Your Algolia API key with the necessary permissions to make the request. Permissions are controlled through access control lists (ACL) and access restrictions. The required ACL to make a request is listed in each endpoint's reference.

Path Parameters

indexName
string
required

Name of the index on which to perform the operation.

Example:

"ALGOLIA_INDEX_NAME"

Response

OK

Response, taskID, and deletion timestamp.

taskID
integer<int64>
required

Unique identifier of a task.

A successful API response means that a task was added to a queue. It might not run immediately. You can check the task's progress with the task operation and this task ID.

Example:

1514562690001

deletedAt
string
required

Date and time when the object was deleted, in RFC 3339 format.

Example:

"2023-06-27T14:42:38.831Z"

Last modified on March 23, 2026